Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox won't go "offline" when using a proxy on localhost
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Sadako
Advocate
Advocate


Joined: 05 Aug 2004
Posts: 3789
Location: sleeping in the bathtub

PostPosted: Sun Apr 08, 2018 9:12 pm    Post subject: Firefox won't go "offline" when using a proxy on l Reply with quote

I'm using firefox 52.6 with privoxy, and have only just noticed that it can still connect to non-https sites just fine even when "work offline" is enabled.

https sites show the "Offline mode" warning as expected, as I'm only sending http traffic to privoxy, not ssl.

If I change privoxy to listen on my lan ip address rather that 127.0.0.1 (and change firefox to connect to that) offline mode works as expected, i.e. can't connect to anything.

I've been using privoxy with firefox for years, and have used offline mode a lot, but have only just noticed this now, somehow...

This seems like a fairly serious firefox bug, but googling hasn't turned up anything on it.

Can anyone else confirm this?
_________________
"You have to invite me in"
Back to top
View user's profile Send private message
gerdesj
l33t
l33t


Joined: 29 Sep 2005
Posts: 621
Location: Yeovil, Somerset, UK

PostPosted: Wed May 09, 2018 11:44 pm    Post subject: Re: Firefox won't go "offline" when using a proxy Reply with quote

Sadako wrote:
I'm using firefox 52.6 with privoxy, and
...
This seems like a fairly serious firefox bug, but googling hasn't turned up anything on it.

Can anyone else confirm this?


You need to have a chat with Mozilla about this, not Gentoo. Also, 52 is a bit old for FF.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13493

PostPosted: Thu May 10, 2018 1:21 am    Post subject: Reply with quote

Firefox 52 is the current ESR, and is mandatory for anyone who wants their extensions to work with minimum hassle. Upgrading to current non-ESR means using a build that only supports "WebExtensions", a crippled new standard that lacks support for a variety of popular extensions. Some of those extensions have been, or will soon be, ported to the new standard. Some have been abandoned by their authors due to frustration with changing goal posts.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum